// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface PhaseINSOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.PhaseINS)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * 3 Phase control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phs3 = 1;</code>
   * @return Whether the phs3 field is set.
   */
  boolean hasPhs3();
  /**
   * <pre>
   * 3 Phase control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phs3 = 1;</code>
   * @return The phs3.
   */
  openfmb.commonmodule.StatusINS getPhs3();
  /**
   * <pre>
   * 3 Phase control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phs3 = 1;</code>
   */
  openfmb.commonmodule.StatusINSOrBuilder getPhs3OrBuilder();

  /**
   * <pre>
   * Phase A control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsA = 2;</code>
   * @return Whether the phsA field is set.
   */
  boolean hasPhsA();
  /**
   * <pre>
   * Phase A control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsA = 2;</code>
   * @return The phsA.
   */
  openfmb.commonmodule.StatusINS getPhsA();
  /**
   * <pre>
   * Phase A control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsA = 2;</code>
   */
  openfmb.commonmodule.StatusINSOrBuilder getPhsAOrBuilder();

  /**
   * <pre>
   * Phase B control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsB = 3;</code>
   * @return Whether the phsB field is set.
   */
  boolean hasPhsB();
  /**
   * <pre>
   * Phase B control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsB = 3;</code>
   * @return The phsB.
   */
  openfmb.commonmodule.StatusINS getPhsB();
  /**
   * <pre>
   * Phase B control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsB = 3;</code>
   */
  openfmb.commonmodule.StatusINSOrBuilder getPhsBOrBuilder();

  /**
   * <pre>
   * Phase C control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsC = 4;</code>
   * @return Whether the phsC field is set.
   */
  boolean hasPhsC();
  /**
   * <pre>
   * Phase C control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsC = 4;</code>
   * @return The phsC.
   */
  openfmb.commonmodule.StatusINS getPhsC();
  /**
   * <pre>
   * Phase C control.
   * </pre>
   *
   * <code>.commonmodule.StatusINS phsC = 4;</code>
   */
  openfmb.commonmodule.StatusINSOrBuilder getPhsCOrBuilder();
}
